%define upstream_name    Padre-Plugin-SpellCheck
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Check spelling in Padre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Padre-Plugin-SpellCheck-1.33-Remove-using-of-MI-DSL.patch

BuildRequires: perl(Class::Accessor) >= 0.340.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(Module::Util) >= 1.70.0
BuildRequires: perl(Padre) >= 0.960.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Pod) >= 1.450.0
BuildRequires: perl(Test::Pod::Coverage) >= 1.80.0
BuildRequires: perl(Try::Tiny) >= 0.110.0
BuildArch:  noarch

%description
This plugins allows one to checking her text spelling within Padre using
'F7' (standard spelling shortcut across text processors). One can change
the dictionary language used in the preferences window (menu Plugins /
SpellCheck / Preferences).

This plugin is using 'Text::Aspell' underneath, so check this module's pod
for more information.

Of course, you need to have the aspell binary and dictionary installed.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

#check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jan 31 2025 daviddavid <daviddavid> 1.330.0-10.mga10
+ Revision: 2143919
- add patch to fix build

* Sat Apr 02 2022 umeabot <umeabot> 1.330.0-9.mga9
+ Revision: 1840203
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.330.0-8.mga8
+ Revision: 1496354
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.330.0-7.mga7
+ Revision: 1270259
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-6.mga6
+ Revision: 1031622
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 1.330.0-5.mga6
+ Revision: 951141
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.330.0-4.mga5
+ Revision: 742060
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.330.0-2.mga4
+ Revision: 537574
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.330.0-1.mga4
+ Revision: 487280
- update to 1.33

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 371451
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.290.0-1.mga3
+ Revision: 267450
- update to 1.29

* Tue Mar 06 2012 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 219980
- update to 1.24

* Thu Feb 23 2012 jquelin <jquelin> 1.220.0-1.mga2
+ Revision: 213458
- update to 1.22

* Mon Jan 24 2011 jquelin <jquelin> 1.210.0-1.mga1
+ Revision: 37647
- mageia rebuild
- imported package perl-Padre-Plugin-SpellCheck

